using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace song_of_the_day.DataMigrations
{
    /// <inheritdoc />
    public partial class somemorefixes : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.RenameColumn(
                name: "SpotiyAuthRefreshToken",
                table: "Users",
                newName: "SpotifyAuthRefreshToken");

            migrationBuilder.RenameColumn(
                name: "SpotiyAuthExpiresAfterSeconds",
                table: "Users",
                newName: "SpotifyAuthExpiresAfterSeconds");

            migrationBuilder.RenameColumn(
                name: "SpotiyAuthCreatedAt",
                table: "Users",
                newName: "SpotifyAuthCreatedAt");

            migrationBuilder.RenameColumn(
                name: "SpotiyAuthAccessToken",
                table: "Users",
                newName: "SpotifyAuthAccessToken");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.RenameColumn(
                name: "SpotifyAuthRefreshToken",
                table: "Users",
                newName: "SpotiyAuthRefreshToken");

            migrationBuilder.RenameColumn(
                name: "SpotifyAuthExpiresAfterSeconds",
                table: "Users",
                newName: "SpotiyAuthExpiresAfterSeconds");

            migrationBuilder.RenameColumn(
                name: "SpotifyAuthCreatedAt",
                table: "Users",
                newName: "SpotiyAuthCreatedAt");

            migrationBuilder.RenameColumn(
                name: "SpotifyAuthAccessToken",
                table: "Users",
                newName: "SpotiyAuthAccessToken");
        }
    }
}
